'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createMock = createMock;

var _log4js = require('log4js');

var _documentStorage = require('../../document-storage');

var _documentStorage2 = _interopRequireDefault(_documentStorage);

var _astHelper = require('../../ast-helper');

var _astHelper2 = _interopRequireDefault(_astHelper);

var _functionToArrow = require('../function-to-arrow');

var _functionToArrow2 = _interopRequireDefault(_functionToArrow);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createMock(FixerCls) {
  const buildWithFixer = (code, line, character) => {
    const uri = 'file://testfile.js';
    const logger = (0, _log4js.getLogger)('test');
    const pos = { line, character };
    const location = { uri, range: { start: pos, end: pos } };
    const documentStorage = new _documentStorage2.default();
    const astHelper = new _astHelper2.default(logger);
    const fixer = new FixerCls({ logger, documentStorage, astHelper });

    documentStorage.add(uri, code);

    const commands = fixer.suggestCommands(location);
    return [commands, fixer];
  };

  const suggest = (...args) => {
    const [commands] = buildWithFixer(...args);
    return commands;
  };

  const edit = (select, ...args) => {
    const [commands, fixer] = buildWithFixer(...args);
    return fixer.createEdit(commands[select].arguments);
  };

  return {
    suggest,
    edit
  };
}

test('empty', () => {});