'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createReplacementEdit = createReplacementEdit;


// pos 0 pased, loc 1 based
function locToPos(loc) {
  return { line: loc.line - 1, character: loc.column };
}

function createReplacementEdit(uri, node, code) {
  const {
    loc: { start, end }
  } = node;

  return {
    changes: {
      [uri]: [{
        range: {
          start: locToPos(start),
          end: locToPos(end)
        },
        newText: code
      }]
    }
  };
}