'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = initializeLogging;

var _log4js = require('log4js');

var _log4js2 = _interopRequireDefault(_log4js);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _vscodeLanguageserver = require('vscode-languageserver');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const MAX_LOG_SIZE = 1024 * 1024;
const MAX_LOG_BACKUPS = 10;

function initializeLogging(connection) {
  _log4js2.default.configure({
    appenders: {
      everything: { type: 'file', filename: '/tmp/test/log' }
    },
    categories: {
      default: { appenders: ['everything'], level: 'debug' }
    }
  });

  // TODO add log to window/logMessage

  const logger = _log4js2.default.getLogger();
  process.on('uncaughtException', e => logger.error('uncaughtException', e));
  process.on('unhandledRejection', e => logger.error('unhandledRejection', e));

  global.console.log = logger.debug.bind(logger);
  global.console.error = logger.error.bind(logger);
}